Bug 156967 - ipw2100 documentation specifies incorrect firmware location
ipw2100 documentation specifies incorrect firmware location
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-05-05 14:03 EDT by Robert Williams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-08 13:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Williams 2005-05-05 14:03:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
After "modprobe ipw2100", this:
[root@bobsvaio SOURCES]# dmesg | tail
ipw2100: Intel(R) PRO/Wireless 2100 Network Driver, 1.0.3
ipw2100: Copyright(c) 2003-2004 Intel Corporation
ACPI: PCI Interrupt 0000:02:0b.0[A] -> Link [LNKD] -> GSI 9 (level, low) -> IRQ 9
ipw2100: Detected Intel PRO/Wireless 2100 Network Connection
ipw2100: eth1: Firmware 'ipw2100-1.3.fw' not available or load failed.
ipw2100: eth1: ipw2100_get_firmware failed: -2
ipw2100: eth1: Failed to power on the adapter.
ipw2100: eth1: Failed to start the firmware.
ipw2100Error calling register_netdev.
ipw2100: probe of 0000:02:0b.0 failed with error -5
[root@bobsvaio SOURCES]# ls /etc/firmware
ipw2100-1.3.fw  ipw2100-1.3-i.fw  ipw2100-1.3-p.fw  LICENSE  microcode.dat
[root@bobsvaio SOURCES]# cat /proc/version
Linux version 2.6.11-1.1284_FC4 (bhcompile@bugs.build.redhat.com) (gcc version 4.0.0 20050423 (Red Hat 4.0.0-2)) #1 Tue May 3 16:36:59 EDT 2005

Version-Release number of selected component (if applicable):
all core4 test2 kernels through 2.6.11-1.1284_FC4 

How reproducible:

Steps to Reproduce:
1.Install ipw2100 firmware in /etc/firmware
2.Load module: "modprobe ipw2100"
3.Then "dmesg | tail"

Actual Results:  Wireless fails to work.

Expected Results:  Wireless should work and does when using
the Linuxant driverloader with a kernel
where 4K STACK is not enabled.

Additional info:

This machine is a Sony PCG-TR1A.
lspci shows:
02:0b.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04)
The Linuxant driverloader works using Fedora Core 3 and 
a kernel without 4K STACK, but all Core4 test kernels
have 4K STACK enabled.
Comment 1 Pete Zaitcev 2005-05-05 18:15:39 EDT
Requestor, please let me know where did you find an instruction to
install ipw2100 firmware into /etc/firmware. That document has to be
corrected by someone at Ha's team, I'll pass it over. The /etc/firmware
directory is used by Tigran's CPU microcode loader and nothing else.

Our hotplug switched to loading from /lib/firmware, while Intel's README
specifies /usr/lib/hotplug/firmware (at SF site). If you run packaged
firmware, it should install correctly. If you install non-packaged firmware,
place it in /lib/firmware. This is what I have:

[zaitcev@lembas ~]$ ls -l /lib/firmware
total 0
lrwxrwxrwx  1 root root 45 Apr  5 17:55 ipw2100-1.3.fw ->
lrwxrwxrwx  1 root root 47 Apr  5 20:09 ipw2100-1.3-i.fw ->
lrwxrwxrwx  1 root root 47 Apr  5 20:09 ipw2100-1.3-p.fw ->
[zaitcev@lembas ~]$ 
[zaitcev@lembas ~]$ lspci | grep 2100
02:03.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI
Adapter (rev 04)
[zaitcev@lembas ~]$

The location is set in /etc/hotplug/firmware.agent.

Overall, looks like a documentation bug or a pilot error.
Comment 2 Robert Williams 2005-05-06 09:29:47 EDT
The Fedora Core 4 test 2 kernel source package
contains a linux-2.6.9-ipw2100.patch file that specifies
/etc/firmware as the source for ipw2100 firware.
This has been true of all Fedora Core 4 kernels up to ...1286_FC4.src.rpm
Moreover, the patch states:
+           .......Once you have the firmware image, you
+           will need to place it in /etc/firmware.

This patch is applied to the 1286 kernel as can be seen in the spec file.

There is no place in the documentation or kernel source that indicates
although there is some reference to using /lib/firmware on some web sites.
Also, the ipw2100 mini-HOWTO (jrblevin at sdf dot lonestar dot org).
indicates /usr/lib/hotplug/firmware.  This also needs to be fixed
so that it is clear that the firmware must be in /lib/firmware for
Fedora and Red Hat distributions. The Fedora Core 4 test 2 distribution
and updates do not include packaged firmware, as far as I can see. 
Nor is there a dependency that calls for an ipw2100 firmware package.

When the firmware is placed in /lib/firmware (no symlink),
the ipw2100 driver works on my system, so this is a documentation error.
There does appear to be an error message generated as the driver is
initializing the connection: 

Error: unrecognized wireless request "Mb/s"
Comment 3 Dave Jones 2005-06-27 19:28:06 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done

Comment 4 Dave Jones 2005-11-10 14:39:20 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 John W. Linville 2005-12-08 13:30:54 EST
Closed due to lack of response.  Please reopen when the requested information  
becomes available...thanks! 

Note You need to log in before you can comment on or make changes to this bug.